# Events Store

KubeMQ Bridges Events-Store source provides an RPC events-store subscriber for processing target commands.

## Prerequisites

The following are required to run the events-store source connector:

* kubemq cluster
* kubemq-bridges deployment

## Configuration

Events-Store source connector configuration properties:

| Properties Key               | Required | Description                            | Example                                              |
| ---------------------------- | -------- | -------------------------------------- | ---------------------------------------------------- |
| address                      | yes      | kubemq server address (gRPC interface) | kubemq-cluster-a-grpc.kubemq.svc.cluster.local:50000 |
| client\_id                   | no       | set client id                          | "client\_id"                                         |
| auth\_token                  | no       | set authentication token               | JWT token                                            |
| channel                      | yes      | set channel to subscribe               |                                                      |
| group                        | no       | set subscriber group                   |                                                      |
| auto\_reconnect              | no       | set auto reconnect on lost connection  | "false", "true"                                      |
| reconnect\_interval\_seconds | no       | set reconnection seconds               | "5"                                                  |
| max\_reconnects              | no       | set how many time to reconnect         | "0"                                                  |

Example:

```yaml
bindings:
  - name:  events-store-binding 
    properties: 
      log_level: error
      retry_attempts: 3
      retry_delay_milliseconds: 1000
      retry_max_jitter_milliseconds: 100
      retry_delay_type: "back-off"
      rate_per_second: 100
    sources:
      kind: source.events-store # Sources kind
      name: 3-clusters-source # sources name 
      connections: # Array of connections settings per each source kind
        - address: "kubemq-cluster-a-grpc.kubemq.svc.cluster.local:50000"
          client_id: "cluster-a-events-store-connection"
          auth_token: ""
          channel: "events-store"
          group: ""
        - address: "kubemq-cluster-b-grpc.kubemq.svc.cluster.local:50000"
          client_id: "cluster-b-events-store-connection"
          auth_token: ""
          channel: "events-store"
          group: ""
        - address: "kubemq-cluster-c-grpc.kubemq.svc.cluster.local:50000"
          client_id: "cluster-c-events-store-connection"
          auth_token: ""
          channel: "events-store"
          group: ""              
    targets:
    .....
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.kubemq.io/configuration/connectors/kubemq-bridges/sources/events-store.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
